FacetRequest.SortBy (Lucene 3.6.2 API)
Keywords: org.apache.lucene.facet.search.params.FacetRequest.SortBy class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.facet.search.params
Enum FacetRequest.SortBy

    java.lang.Object
      java.lang.Enum<FacetRequest.SortBy>
          org.apache.lucene.facet.search.params.FacetRequest.SortBy

All Implemented Interfaces:
  Serializable, Comparable<FacetRequest.SortBy>

Enclosing class:
  FacetRequest

    public static enum FacetRequest.SortBy

extends Enum<FacetRequest.SortBy>

Sort options for facet results.

Enum Constant Summary
`ORDINAL` sort by category ordinal with the taxonomy
`VALUE` sort by computed category value

Method Summary
`static FacetRequest.SortBy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FacetRequest.SortBy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ORDINAL

    public static final FacetRequest.SortBy ORDINAL

  sort by category ordinal with the taxonomy

### VALUE

    public static final FacetRequest.SortBy VALUE

  sort by computed category value

Method Detail

### values

    public static final FacetRequest.SortBy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FacetRequest.SortBy c : FacetRequest.SortBy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FacetRequest.SortBy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD